"""Admin models for the mainapp app."""

from django.contrib import admin

from .models import Member, Team, Section


# @admin.register(Peg)
# class PegAdmin(admin.ModelAdmin):
#     """Admin model for the Peg model."""

#     change_list_template = "entities/bulk_pegging.html"
#     readonly_fields = ("peg_number",)
#     list_display = ("peg_number",)
#     search_fields = ("peg_number",)


@admin.register(Member)
class MemberAdmin(admin.ModelAdmin):
    """Admin model for the Member model."""

    list_display = ("first_name", "last_name", "team")
    search_fields = ("first_name", "last_name", "team")
    list_filter = ("team",)


@admin.register(Team)
class TeamAdmin(admin.ModelAdmin):
    """Admin model for the Team model."""

    readonly_fields = ("name",)
    list_display = ("name",)
    search_fields = ("name",)


@admin.register(Section)
class SectionAdmin(admin.ModelAdmin):
    """Admin model for the Section model."""

    list_display = ("name",)
    search_fields = ("name",)
